//
//  View.m
//  Distance
//
//  Created by NYU User on 3/27/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "View.h"
#import "ViewController.h"


@implementation View


- (id) initWithFrame: (CGRect) frame controller: (ViewController *) c {
	if ((self = [super initWithFrame: frame])) {
		// Initialization code
		viewController = c;
		self.backgroundColor = [UIColor whiteColor];
		UIFont *font = [UIFont fontWithName: @"Times New Roman" size: 24];
		
		//Create the UITextField.
		CGRect b = self.bounds;
		CGRect f = CGRectMake(0, 0, b.size.width, 40);
		
		textField = [[UITextField alloc] initWithFrame: f];
		textField.backgroundColor = [UIColor yellowColor];
		textField.font = font;
		textField.keyboardType = UIKeyboardTypeNumbersAndPunctuation;
		textField.placeholder = @"<type a zipcode>";
		textField.delegate = self;
		[self addSubview: textField];
		
		//Create the UITextView.
		
		CGFloat margin = 5;
		f = CGRectMake(
			0,
			textField.bounds.size.height + margin,
			b.size.width,
			b.size.height - textField.bounds.size.height - margin
		);
		
		textView = [[UITextView alloc] initWithFrame: f];
		textView.backgroundColor = [UIColor orangeColor];
		textView.font = font;
		textView.editable = NO;
		textView.delegate = self;
		[self addSubview: textView];
	}
    return self;
}

- (BOOL) textFieldShouldReturn: (UITextField *) t {
	if (t == textField) {
		[t resignFirstResponder];	//Hide keyboard.
		return NO;	//The return button should not do its default behavior.
	}
	
	return YES;	//The return button should do its default behavior.
}

- (void) textFieldDidEndEditing: (UITextField *) t {
	if (t == textField) {
		textView.text = [viewController getZipCodes: textField.text];
		
		if ([textView.text isEqualToString: @""]) {
			textView.text = [NSString stringWithFormat:
				@"could not find “%@”", textField.text];
		}
	}
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

- (void) dealloc {
	[textField release];
	[textView release];
	[super dealloc];
}


@end
